Bug 137022 - a file is owned by both aspell and aspell-bg
a file is owned by both aspell and aspell-bg
Product: Fedora
Classification: Fedora
Component: aspell (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-10-25 04:26 EDT by Barry K. Nathan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 50:0.50-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-26 12:10:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Barry K. Nathan 2004-10-25 04:26:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Epiphany/1.4.4

Description of problem:
The file /usr/share/aspell/cp1251.dat is owned by both aspell and
aspell-bg. And the two files have different MD5SUMs. Needless to say,
This Is Bad(tm).

Version-Release number of selected component (if applicable):
aspell-0.50.5-3.fc3, aspell-bg-0.50-3

How reproducible:

Steps to Reproduce:
There's more than one way to reproduce this bug. Here's one:

1. Perform an "Everything" rawhide snapshot from several days ago
(maybe 20041014 or so). Maybe fc3t3 works too, but I haven't tested
with that.
2. Try to up2date to a recent rawhide.

(Later tonight, I'll add a followup comment with a different way of
reproducing this bug.)

Actual Results:  RPM package conflict error.  The message was:
Test install failed because of package conflicts:
file /usr/share/aspell/cp1251.dat from install of aspell-bg-0.50-3
conflicts with file from package aspell-0.50.5-3.fc3

Expected Results:  no dependency errors

Additional info:
I don't know if the guilty party is aspell or aspell-bg, so I just
decided to assign this bug to aspell for now.
Comment 1 Barry K. Nathan 2004-10-25 06:10:44 EDT
Alternate method:

1. Install FC3/rawhide/whatever -- "Everything", with all languages

2. Log into the system.

3. Run the command:
rpm -qf /usr/share/aspell/cp1251.dat

Expected output:
aspell-0.50.5-3.fc3 OR aspell-bg-0.50-3 (but not both!)

Actual output:

4. Run the command:
rpm -V aspell

Expected output:

Actual output:
S.5....T.   /usr/share/aspell/cp1251.dat

Note You need to log in before you can comment on or make changes to this bug.